package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.StaffWithUser;
import com.tzld.piaoquan.growth.common.model.po.StaffWithUserExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface StaffWithUserMapper {
    long countByExample(StaffWithUserExample example);

    int deleteByExample(StaffWithUserExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StaffWithUser record);

    int insertSelective(StaffWithUser record);

    List<StaffWithUser> selectByExample(StaffWithUserExample example);

    StaffWithUser selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StaffWithUser record, @Param("example") StaffWithUserExample example);

    int updateByExample(@Param("record") StaffWithUser record, @Param("example") StaffWithUserExample example);

    int updateByPrimaryKeySelective(StaffWithUser record);

    int updateByPrimaryKey(StaffWithUser record);

    void insertList(@Param("list") List<StaffWithUser> list);

    List<String> selectExternalUserIdByStaffId(@Param("staffId")Long staffId);
}